> ## Documentation Index
> Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tool

> Get one tool or list tools under a slash-separated category.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/smithery/openapi.documented.yml get /connect/{namespace}/{connectionId}/.tools/{toolPath}
openapi: 3.1.0
info:
  title: Smithery Platform API
  description: >-
    API for the Smithery platform — discover, deploy, and manage MCP (Model
    Context Protocol) servers. Provides endpoints for browsing the server
    registry, managing deployments, creating scoped access tokens, and
    connecting to MCP servers.
  version: 1.0.0
servers:
  - url: https://api.smithery.ai
security:
  - bearerAuth: []
tags:
  - name: servers
    description: >-
      Browse the MCP server registry, manage server configuration, and handle
      deployments
  - name: skills
    description: Discover and search reusable prompt-based skills for MCP servers
  - name: tools
    description: Search for MCP tools across all registered servers
paths:
  /connect/{namespace}/{connectionId}/.tools/{toolPath}:
    get:
      tags:
        - connect
      summary: Get tool
      description: Get one tool or list tools under a slash-separated category.
      operationId: getSmithery.run:namespace:connectionId.tools:toolPath
      parameters:
        - schema:
            type: string
          in: path
          name: namespace
          required: true
        - schema:
            type: string
          in: path
          name: connectionId
          required: true
        - schema:
            type: string
          in: path
          name: toolPath
          required: true
      responses:
        '200':
          description: Tool metadata or category listing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolResponse'
        '404':
          description: Connection or tool not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ToolResponse:
      anyOf:
        - $ref: '#/components/schemas/Tool'
        - $ref: '#/components/schemas/ToolList'
    Error:
      type: object
      properties:
        error:
          type: string
          example: not_found
        message:
          type: string
          example: Resource not found
      required:
        - error
        - message
      additionalProperties: false
    Tool:
      type: object
      properties:
        name:
          type: string
        title:
          type: string
        icons:
          type: array
          items:
            type: object
            properties:
              src:
                type: string
              mimeType:
                type: string
              sizes:
                type: array
                items:
                  type: string
              theme:
                type: string
                enum:
                  - light
                  - dark
            required:
              - src
            additionalProperties: false
        description:
          type: string
        inputSchema:
          type: object
          properties:
            type:
              type: string
              const: object
            properties:
              type: object
              propertyNames:
                type: string
              additionalProperties: {}
            required:
              type: array
              items:
                type: string
          required:
            - type
          additionalProperties: {}
        outputSchema:
          type: object
          properties:
            type:
              type: string
              const: object
            properties:
              type: object
              propertyNames:
                type: string
              additionalProperties: {}
            required:
              type: array
              items:
                type: string
          required:
            - type
          additionalProperties: {}
        annotations:
          type: object
          properties:
            title:
              type: string
            readOnlyHint:
              type: boolean
            destructiveHint:
              type: boolean
            idempotentHint:
              type: boolean
            openWorldHint:
              type: boolean
          additionalProperties: false
        execution:
          type: object
          properties:
            taskSupport:
              type: string
              enum:
                - required
                - optional
                - forbidden
          additionalProperties: false
        _meta:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
      required:
        - name
        - inputSchema
      additionalProperties: false
    ToolList:
      type: object
      properties:
        tools:
          type: array
          items:
            $ref: '#/components/schemas/Tool'
      required:
        - tools
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Smithery API key as Bearer token

````